NXOpen C++ Reference Guide
 All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
Public Member Functions | List of all members
NXOpen::Tooling::ConceptPositionBuilder Class Reference

concept position builder for standard part design
To create a new instance of this class, use NXOpen::Tooling::ConceptPositionCollection::CreateConceptPositionBuilder

Created in NX6.0.0. More...

Inheritance diagram for NXOpen::Tooling::ConceptPositionBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

std::vector< NXOpen::Point * > AddLinkFeature (NXOpen::NXObject *sketch)
 Creates points or inserts symbol as concept positioning object. More...
 
void AddToSelectedPoints (NXOpen::Point *point)
 Adds a point where a symbol is inserted
Created in NX12.0.2. More...
 
void Clear ()
 Clears the selected points and the inserted symbols
Created in NX1847.0.0. More...
 
NXOpen::Tooling::ConceptStandardPartRecordGetAttributeData ()
 Gets attribute data. More...
 
void GetSelectedPoints (std::vector< NXOpen::Point * > &selectedPoints)
 Gets points where concept objects are inserted
Created in NX12.0.2. More...
 
void InsertSymbol (NXOpen::Point *attachPoint)
 Insert a symbol at the specified point location
Created in NX12.0.2. More...
 
NXOpen::PointLocatedPoint ()
 Returns the located point
Created in NX6.0.0. More...
 
NXOpen::SectionPartPosition ()
 Returns the part position section
Created in NX6.0.0. More...
 
void SetAttributeData (NXOpen::Tooling::ConceptStandardPartRecord *conceptRecord)
 Sets attribute data
Created in NX12.0.2. More...
 
void SetLocatedPoint (NXOpen::Point *locatedPoint)
 Sets the located point
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

concept position builder for standard part design
To create a new instance of this class, use NXOpen::Tooling::ConceptPositionCollection::CreateConceptPositionBuilder

Created in NX6.0.0.


Member Function Documentation

std::vector<NXOpen::Point *> NXOpen::Tooling::ConceptPositionBuilder::AddLinkFeature ( NXOpen::NXObject sketch)

Creates points or inserts symbol as concept positioning object.

Returns
the created concept points
Created in NX12.0.2.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")
Parameters
sketchThe sketch where concept object locating points are created
void NXOpen::Tooling::ConceptPositionBuilder::AddToSelectedPoints ( NXOpen::Point point)

Adds a point where a symbol is inserted
Created in NX12.0.2.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
pointThe point where a symbol is inserted
void NXOpen::Tooling::ConceptPositionBuilder::Clear ( )

Clears the selected points and the inserted symbols
Created in NX1847.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

NXOpen::Tooling::ConceptStandardPartRecord* NXOpen::Tooling::ConceptPositionBuilder::GetAttributeData ( )

Gets attribute data.

Returns
Concept standard part record with attributes
Created in NX12.0.2.

License requirements : None
void NXOpen::Tooling::ConceptPositionBuilder::GetSelectedPoints ( std::vector< NXOpen::Point * > &  selectedPoints)

Gets points where concept objects are inserted
Created in NX12.0.2.



License requirements : None

Parameters
selectedPointsPoints where concept objects are inserted
void NXOpen::Tooling::ConceptPositionBuilder::InsertSymbol ( NXOpen::Point attachPoint)

Insert a symbol at the specified point location
Created in NX12.0.2.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
attachPointThe point where a symbol is inserted
NXOpen::Point* NXOpen::Tooling::ConceptPositionBuilder::LocatedPoint ( )

Returns the located point
Created in NX6.0.0.



License requirements : None

NXOpen::Section* NXOpen::Tooling::ConceptPositionBuilder::PartPosition ( )

Returns the part position section
Created in NX6.0.0.



License requirements : None

void NXOpen::Tooling::ConceptPositionBuilder::SetAttributeData ( NXOpen::Tooling::ConceptStandardPartRecord conceptRecord)

Sets attribute data
Created in NX12.0.2.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
conceptRecordConcept standard part record with attributes
void NXOpen::Tooling::ConceptPositionBuilder::SetLocatedPoint ( NXOpen::Point locatedPoint)

Sets the located point
Created in NX6.0.0.



License requirements : None

Parameters
locatedPointlocatedpoint

The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.